Generation Framework

## org.eclipse.gmf.mappings.impl
Class GMFMapFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.gmf.mappings.impl.GMFMapFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, GMFMapFactory

    public class GMFMapFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements GMFMapFactory

An implementation of the model Factory.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.mappings.GMFMapFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`GMFMapFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertLabelTextAccessMethodToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLanguageToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSeverityToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`AuditContainer` `createAuditContainer()`
`AuditedMetricTarget` `createAuditedMetricTarget()`
`AuditRule` `createAuditRule()`
`CanvasMapping` `createCanvasMapping()`
`ChildReference` `createChildReference()`
`CompartmentMapping` `createCompartmentMapping()`
`Constraint` `createConstraint()`
`DesignLabelMapping` `createDesignLabelMapping()`
`DiagramElementTarget` `createDiagramElementTarget()`
`DomainAttributeTarget` `createDomainAttributeTarget()`
`DomainElementTarget` `createDomainElementTarget()`
`FeatureLabelMapping` `createFeatureLabelMapping()`
`FeatureSeqInitializer` `createFeatureSeqInitializer()`
`FeatureValueSpec` `createFeatureValueSpec()`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LabelMapping` `createLabelMapping()`
`LabelTextAccessMethod` `createLabelTextAccessMethodFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Language` `createLanguageFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LinkConstraints` `createLinkConstraints()`
`LinkMapping` `createLinkMapping()`
`Mapping` `createMapping()`
`MetricContainer` `createMetricContainer()`
`MetricRule` `createMetricRule()`
`NodeMapping` `createNodeMapping()`
`NotationElementTarget` `createNotationElementTarget()`
`ReferenceNewElementSpec` `createReferenceNewElementSpec()`
`Severity` `createSeverityFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`TopNodeReference` `createTopNodeReference()`
`ValueExpression` `createValueExpression()`
`GMFMapPackage` `getGMFMapPackage()`
`static GMFMapPackage` `getPackage()` Deprecated.
`static GMFMapFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### GMFMapFactoryImpl

    public GMFMapFactoryImpl()

  Creates an instance of the factory.

  ** Generated **

Method Detail

### init

    public static GMFMapFactory init()

  Creates the default factory implementation.

  ** Generated **

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createNodeMapping

    public NodeMapping createNodeMapping()

  Specified by:
    `createNodeMapping` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Node Mapping'.
  ** Generated **

### createCompartmentMapping

    public CompartmentMapping createCompartmentMapping()

  Specified by:
    `createCompartmentMapping` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Compartment Mapping'.
  ** Generated **

### createLinkMapping

    public LinkMapping createLinkMapping()

  Specified by:
    `createLinkMapping` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Link Mapping'.
  ** Generated **

### createCanvasMapping

    public CanvasMapping createCanvasMapping()

  Specified by:
    `createCanvasMapping` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Canvas Mapping'.
  ** Generated **

### createLabelMapping

    public LabelMapping createLabelMapping()

  Specified by:
    `createLabelMapping` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Label Mapping'.
  ** Generated **

### createFeatureLabelMapping

    public FeatureLabelMapping createFeatureLabelMapping()

  Specified by:
    `createFeatureLabelMapping` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Feature Label Mapping'.
  ** Generated **

### createDesignLabelMapping

    public DesignLabelMapping createDesignLabelMapping()

  Specified by:
    `createDesignLabelMapping` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Design Label Mapping'.
  ** Generated **

### createMapping

    public Mapping createMapping()

  Specified by:
    `createMapping` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Mapping'.
  ** Generated **

### createChildReference

    public ChildReference createChildReference()

  Specified by:
    `createChildReference` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Child Reference'.
  ** Generated **

### createTopNodeReference

    public TopNodeReference createTopNodeReference()

  Specified by:
    `createTopNodeReference` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Top Node Reference'.
  ** Generated **

### createConstraint

    public Constraint createConstraint()

  Specified by:
    `createConstraint` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Constraint'.
  ** Generated **

### createLinkConstraints

    public LinkConstraints createLinkConstraints()

  Specified by:
    `createLinkConstraints` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Link Constraints'.
  ** Generated **

### createValueExpression

    public ValueExpression createValueExpression()

  Specified by:
    `createValueExpression` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Value Expression'.
  ** Generated **

### createFeatureSeqInitializer

    public FeatureSeqInitializer createFeatureSeqInitializer()

  Specified by:
    `createFeatureSeqInitializer` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Feature Seq Initializer'.
  ** Generated **

### createFeatureValueSpec

    public FeatureValueSpec createFeatureValueSpec()

  Specified by:
    `createFeatureValueSpec` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Feature Value Spec'.
  ** Generated **

### createReferenceNewElementSpec

    public ReferenceNewElementSpec createReferenceNewElementSpec()

  Specified by:
    `createReferenceNewElementSpec` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Reference New Element Spec'.
  ** Generated **

### createAuditContainer

    public AuditContainer createAuditContainer()

  Specified by:
    `createAuditContainer` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Audit Container'.
  ** Generated **

### createAuditRule

    public AuditRule createAuditRule()

  Specified by:
    `createAuditRule` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Audit Rule'.
  ** Generated **

### createDomainElementTarget

    public DomainElementTarget createDomainElementTarget()

  Specified by:
    `createDomainElementTarget` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Domain Element Target'.
  ** Generated **

### createDomainAttributeTarget

    public DomainAttributeTarget createDomainAttributeTarget()

  Specified by:
    `createDomainAttributeTarget` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Domain Attribute Target'.
  ** Generated **

### createDiagramElementTarget

    public DiagramElementTarget createDiagramElementTarget()

  Specified by:
    `createDiagramElementTarget` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Diagram Element Target'.
  ** Generated **

### createNotationElementTarget

    public NotationElementTarget createNotationElementTarget()

  Specified by:
    `createNotationElementTarget` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Notation Element Target'.
  ** Generated **

### createMetricContainer

    public MetricContainer createMetricContainer()

  Specified by:
    `createMetricContainer` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Metric Container'.
  ** Generated **

### createMetricRule

    public MetricRule createMetricRule()

  Specified by:
    `createMetricRule` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Metric Rule'.
  ** Generated **

### createAuditedMetricTarget

    public AuditedMetricTarget createAuditedMetricTarget()

  Specified by:
    `createAuditedMetricTarget` in interface `GMFMapFactory`
  Returns:
    a new object of class 'Audited Metric Target'.
  ** Generated **

### createLabelTextAccessMethodFromString

    public LabelTextAccessMethod createLabelTextAccessMethodFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.String initialValue)

  ** Generated **

### convertLabelTextAccessMethodToString

    public java.lang.String convertLabelTextAccessMethodToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.Object instanceValue)

  ** Generated **

### createSeverityFromString

    public Severity createSeverityFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  ** Generated **

### convertSeverityToString

    public java.lang.String convertSeverityToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.Object instanceValue)

  ** Generated **

### createLanguageFromString

    public Language createLanguageFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  ** Generated **

### convertLanguageToString

    public java.lang.String convertLanguageToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.Object instanceValue)

  ** Generated **

### getGMFMapPackage

    public GMFMapPackage getGMFMapPackage()

  Specified by:
    `getGMFMapPackage` in interface `GMFMapFactory`
  Returns:
    the package supported by this factory.
  ** Generated **

### getPackage

    @Deprecated
    public static GMFMapPackage getPackage()

  Deprecated.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.